C @(#)edbout.for	1.5 (MPE-Garching) 3/7/97 16:25:17
      SUBROUTINE EDBOUT(IECH,IERR)
C
CC  output routine for main program  DB
C
C************************ FFORM VERSION 1.1 ************  7-NOV-89 15:13
C
CA  author : GRH        date: 26-JAN-1987 12:20
CU  update : PTK        date: 2-MAY-1988 12:30
CU  update : PTK        date: 16-SEP-1988 16:34
CU  update : PTK        date: 23-NOV-1988 09:23  ! IDENT
CU  update : PTK        date: 28-NOV-1988 12:57  ! 'BLINDED_EXPOSURE
CU  update : PTK        date: 12-JAN-1989 16:30
CU  update : PTK        date: 25-APR-1989 14:41 ! FLAGOUT
CU  update : PTK        date: 11-OCT-1989 14:42 ! portable MIDAS calls
CU  update : PTK        date: 11-OCT-1989 14:51
CU  update : PTK        date: 11-OCT-1989 15:08
CU  update : PTK        date: 11-OCT-1989 15:24
CU  update : PTK        date: 11-OCT-1989 18:10
CU  update : PTK        date: 16-OCT-1989 15:34
CU  update : PTK        date: 3-NOV-1989 08:36  ! if (FLAGOUT),
CU  update : PTK        date: 3-NOV-1989 08:36  ! write BLDFL
CU  update : PTK        date: 3-NOV-1989 09:57
CU  update : PTK        date: 7-NOV-1989 15:14  
CU  update : PTK        date: 19-FEB-1990 08:01
CU  update : PTK        date: 03-NOV-1990 11:29 descr SKY_PIX_SIZE
CU  update : PTK        date: 17-JAN-1991 15:02
CU  update : PTK        date: 25-SEP-1991 20:05 IMAGE(IECH),BACMP(IECH), add
CU                                              special descriptors
CU  update : PTK        date: 12-DEC-1991 19:31 MFELD L*4 -> I*4
CU  update : PTK        date: 24-AUG-1992 11:19 rename from EXDBOUT
CU  update : PTK        date: 11-NOV-1992 14:13 LOGICAL*4 DNUL
CU  update : PTK        date: 16-FEB-1993 10:36 BG_SCALE descriptor
CU  update : EXSAS              date: 03-AUG-1993 16:50
C
CT  status: not tested
C
C   general description 
CG  output routine for main program  DB
C
C   call_var.          type I/O description 
CP  IECH                I4  I   current energy range index
CP  IERR                I4    O = 0 no error
CP                              error code from RCFELD or RCFELL
C
C   include_block name          description 
CI  RCOMMON:CDBIMG.CMN          DB image array parameter common block 
CI  RCOMMON:CDBIO.CMN           DBPAR parameters common block
CI  RCOMMON:CGENL.CMN           general parameter common block
CI  RCOMMON:CSOIO.CMN           SOPAR parameter common block
C
C   routines_called    type     description 
CR  WRFLAG              SR      writes to FLAG output stream
CR  BDFL4W              SR      write L1 array to R4 MIDAS image
CR  BDFI2W              SR      write I2 array to R4 MIDAS image
CR  BDFR4W              SR      write R4 array to R4 MIDAS image
CR  MIRR4Y              SR      flip R4 array in y-coordinate
CR  WRERR               SR      write error message
C
C   extensions/system calls     description 
CX 
C
C***********************************************************************
C
C   variables   meaning
C
      use global

      IMPLICIT NONE
      INCLUDE 'include/cgenl.cmn'
      INCLUDE 'include/csoio.cmn'
      INCLUDE 'include/cdbio.cmn'
!     INCLUDE 'include/cdbimg.cmn'
C
      INTEGER     IERR,ISTAT,IBG,IECH,KUN,
     &              NOBL,NOBI,NOBA,NOWB
      INTEGER     NOI,ACV,DUN
      INTEGER     DET_X,DET_Y,CF,LF,DF
      INTEGER     NTIMSL
      REAL        TIMINT,LIFTIM
      REAL        R4ARR(IPA_X,IPA_Y)
      DOUBLE PRECISION  TIMSEL(32768)  
      DOUBLE PRECISION
     &        SKYPIX,SKY_X,SKY_Y
      DOUBLE PRECISION
     &        DETPIX,AMPSEL(2),RAWSEL(2)
      LOGICAL     DNUL
      CHARACTER*8   RTNAME
      CHARACTER*12  UPIXS, SCMOD
      CHARACTER*80  TEXT
C
      SAVE
      DATA          RTNAME /'EDBOUT'/
C
      IERR = 0

c  write out cheese image
      if ( db_cheese ) then 
        CALL BDFR4W(ICHES,IPA_X,IPA_Y,CHEESEIM,IMAGE(IECH),
     &              'CHEESED_IMAGE',DB_CHIS(IECH),NDOF,ISTAT)
      end if 

c  write background map
        CALL BDFR4W(IBACK,IPA_X,IPA_Y,BACMP(IECH),IMAGE(IECH),
     &              'BACKGROUND_MAP',DB_CHIS(IECH),NDOF,ISTAT)

c  write cheesed mask
      if ( db_cheesemask ) then 
        CALL BDFI4W(MFELD,IPA_X,IPA_Y,CHEESEMASK,IMAGE(IECH),
     &              'CHEESED_MASK',ISTAT)
      end if 




      RETURN
      END











