C @(#)cdbnag.inc	1.1 (MPE-Garching) 3/16/94 16:02:44
C   COMMON block name: C_DBNAG
C
CC  contains all variables necessary for NAG bicubic spline routines
C
C************************ CFORM VERSION 0.2 ****************************
C
CU  update : GRH               date: 16-MAR-1987 19:09
CA  author : GRH               date: 16-MAR-1987 18:42
CU  update : PTK               date: 06-MAR-1990 09:18 only DATA
CU  update : PTK               date: 13-Oct-1993 10:04
C
C   general description:
CG  for description of parameters see NAG-manual for routines E0DAF
C
C   common_var.                description
CP  C                R*8       spline parameter see NAG description
CP  DL               R*8       spline parameter see NAG description
CP  EPS              R*8       convergence threshold
CP  FFNAG            R*8       array with spline values
CP  FNAG             R*8       array with function values
CP  IADRES           I*4       work array see NAG description
CP  IPOINT           I*4       work array see NAG description
CP  NADRES           I*4       array size see NAG description
CP  NC               I*4       array size see NAG description
CP  NPOINT           I*4       array size see NAG description
CP  NPTS             I*4       number of datapoints
CP  NPX              I*4       number of spline-knots in X direction
CP  NPY              I*4       number of spline knots in Y-direction
CP  NTOT             I*4       dimension of arrays
CP  NWORK            I*4       array size see NAG description
CP  SIGMA            R*8       chi-square of spline fit
CP  WNAG             R*8       array with weight values
CP  WORK             R*8       work array see NAG description
CP  XL               R*8       array with knot X-coordinates
CP  XNAG             R*8       array with data X-values
CP  YM               R*8       array with knot Y-coordinates
CP  YNAG             R*8       array with data Y-values
C
C***********************************************************************
C
C      DATA          NPX/MPX/,NPY/MPY/,NWORK/MWORK/,NPOINT/MPOINT/,
C     &              NADRES/MADRES/,NC/MC/,EPS/1.0D-07/
C
      NPX    = MPX
      NPY    = MPY
      NWORK  = MWORK
      NPOINT = MPOINT
      NADRES = MADRES
      NC     = MC 
      EPS    = 1.0D-07
C
