module nag_global

! variables from cdbnag.cmn:
!  WNAG             R*8       array with weight values
!  WORK             R*8       work array see NAG description
!  XL               R*8       array with knot X-coordinates
!  XNAG             R*8       array with data X-values
!  YM               R*8       array with knot Y-coordinates
!  YNAG             R*8       array with data Y-values
!-----------------------------------------------------------------------

 integer, parameter :: MPX=20, MPY=20, MWORK=27700, MPOINT=8400
 integer, parameter ::  MADRES=169, MC=256, MTOT=8192
 double precision, dimension(mwork) :: WORK
 double precision, dimension(mtot) :: XNAG,YNAG,FNAG,WNAG,ENAG,FFNAG
 double precision, dimension(mtot) :: IMBINNED,EXPBINNED,EXP2BINNED
 double precision, dimension(mpx) :: XL
 double precision, dimension(mpy) :: YM
 double precision, dimension(mc) :: DL, C
 double precision :: EPS,SIGMA
 integer, dimension(mpoint) :: IPOINT
 integer, dimension(madres) :: IADRES
 integer ::  NPTS, NPX, NPY, NWORK, NPOINT, NADRES, NC


end module nag_global
